import { createVNode, render, type Component, AppContext } from 'vue'

export default function renderComponent({ el, component, props, appContext }: {el: HTMLElement, component: Component, props: any, appContext: AppContext}) {
  const vnode = createVNode(component, props)
  vnode.appContext = { ...appContext } // must spread new object here
  render(vnode, el)

  return () => {
    render(null, el)
  }
}
